Workspaces API
Version: 1.0
Delete workspace
DELETE
/workspace/orgs/{org_id}/workspaces/{workspace_id}Deletes a workspace. Use of this API requires an "owner" role in the workspace. Deleted workspaces will no longer be returned in "get workspace" and "list workspace" requests, however you can include them by appending deleted=true to your request parameters.
Request
Responses
204
Successful Response
401
No permission -- see authorization schemes
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
403
Request forbidden -- authorization will not help
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
404
Resource not found or user lacks access
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
405
Specified method is invalid for this resource
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
422
Unprocessable Content
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}